use async_trait::async_trait;
use http::{Response, Uri};
use hyper::Body;

use crate::error::Error;

pub mod tcp;
pub mod unix;

/// Abstract trait for the tailscale API client
#[async_trait]
pub trait LocalApiAdapter: Clone {
    async fn get(&self, uri: Uri) -> Result<Response<Body>, Error>;
    async fn patch(&self, uri: Uri, body: Body) -> Result<Response<Body>, Error>;
}
